function [a,b,e2] = elipsoid(eli)
%[a,b,e2] = elipsoid(eli)
%parametry elipsoidu a,b,e^2
%
%parametr eli
%0 : koule (6378000)
%1 : Bessel
%2 : Krasovskeho
%3 : Hayford
%4 : GRS-80
%5 : WGS-84

if(eli == 0)%koule
    a = 6378000;
    b = 6378000;
    e2 = 0;
elseif(eli == 1)%Bessel
    a = 6377397.15508;
    b = 6356078.96290;
    e2 = 0.006674372230622;
elseif(eli == 2)%Krasovskeho
    a = 6378245;
    b = 6356863.01877;
    e2 = (a^2 - b^2) / a^2;
elseif(eli == 3)%Hayford
    a = 6378388;
    b = 6356911.94613;
    e2 = (a^2 - b^2) / a^2;
elseif(eli == 4)%GRS-80
    a = 6378137;
    b = 6356752.31414;
    e2 = (a^2 - b^2) / a^2;
elseif(eli == 5)%WGS-84
    a = 6378137;
    b = 6356752.31425;
    e2 = (a^2 - b^2) / a^2;
end
